zenilib: zenilib/jni/external/freetype2/src/sfnt/ttcmap.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
ttcmap.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include "sferrors.h"`
`#include <FT_INTERNAL_VALIDATE_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include "ttload.h"`
`#include "ttcmap.h"`
`#include "sfntpic.h"`
`#include "ttcmapc.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_ttcmap
#define | TT_NEXT_LONG FT_NEXT_LONG
#define | TT_NEXT_SHORT FT_NEXT_SHORT
#define | TT_NEXT_UINT24 FT_NEXT_UOFF3
#define | TT_NEXT_ULONG FT_NEXT_ULONG
#define | TT_NEXT_USHORT FT_NEXT_USHORT
#define | TT_PEEK_LONG FT_PEEK_LONG
#define | TT_PEEK_SHORT FT_PEEK_SHORT
#define | TT_PEEK_UINT24 FT_PEEK_UOFF3
#define | TT_PEEK_ULONG FT_PEEK_ULONG
#define | TT_PEEK_USHORT FT_PEEK_USHORT
#define | TTCMAPCITEM(a) &a,

## Functions

| tt_cmap_init (TT_CMap cmap, FT_Byte *table)
| tt_face_build_cmaps (TT_Face face)
| tt_get_cmap_info (FT_CharMap charmap, TT_CMapInfo *cmap_info)

## Variables

static const TT_CMap_Class | tt_cmap_classes []

## Macro Definition Documentation

#define FT_COMPONENT trace_ttcmap

Definition at line 38 of file ttcmap.c.

#define TT_NEXT_LONG FT_NEXT_LONG

Definition at line 50 of file ttcmap.c.

#define TT_NEXT_SHORT FT_NEXT_SHORT

Definition at line 47 of file ttcmap.c.

#define TT_NEXT_UINT24 FT_NEXT_UOFF3

Definition at line 49 of file ttcmap.c.

#define TT_NEXT_ULONG FT_NEXT_ULONG

Definition at line 51 of file ttcmap.c.

Referenced by tt_face_build_cmaps().

#define TT_NEXT_USHORT FT_NEXT_USHORT

Definition at line 48 of file ttcmap.c.

Referenced by tt_face_build_cmaps().

#define TT_PEEK_LONG FT_PEEK_LONG

Definition at line 44 of file ttcmap.c.

#define TT_PEEK_SHORT FT_PEEK_SHORT

Definition at line 41 of file ttcmap.c.

#define TT_PEEK_UINT24 FT_PEEK_UOFF3

Definition at line 43 of file ttcmap.c.

#define TT_PEEK_ULONG FT_PEEK_ULONG

Definition at line 45 of file ttcmap.c.

#define TT_PEEK_USHORT FT_PEEK_USHORT

Definition at line 42 of file ttcmap.c.

Referenced by tt_face_build_cmaps().

#define TTCMAPCITEM | ( |  | a | ) | &a,

## Function Documentation

tt_cmap_init | ( | TT_CMap | cmap,
|  | FT_Byte * | table
| ) |  |

Definition at line 55 of file ttcmap.c.

tt_face_build_cmaps | ( | TT_Face | face | ) |

Definition at line 3389 of file ttcmap.c.

References FT_CharMapRec_::encoding, FT_CharMapRec_::encoding_id, FT_ValidatorRec_::error, FT_CharMapRec_::face, TT_CMap_ClassRec_::format, FT_CMap_New(), FT_ERROR, FT_FACE, FT_FACE_LIBRARY, ft_jmp_buf, FT_MAX_CHARMAP_CACHEABLE, ft_setjmp, FT_TRACE0, FT_TT_CMAP_CLASSES_GET, FT_UNUSED, FT_VALIDATE_DEFAULT, FT_VALIDATOR, ft_validator_init(), if(), TT_ValidatorRec_::num_glyphs, FT_CharMapRec_::platform_id, TT_NEXT_ULONG, TT_NEXT_USHORT, TT_PEEK_USHORT, TT_CMap_ClassRec_::validate, and TT_ValidatorRec_::validator.

Referenced by sfnt_load_face().

tt_get_cmap_info | ( | FT_CharMap | charmap,
|  | TT_CMapInfo * | cmap_info
| ) |  |

Definition at line 3501 of file ttcmap.c.

References FT_CMapRec_::clazz, and TT_CMap_ClassRec_::get_cmap_info.

## Variable Documentation

const TT_CMap_Class tt_cmap_classes[]

static

Definition at line 3334 of file ttcmap.c.